Package: org.gradle.platform.base

## [Java] Interface ComponentSpec

- A software component that is built by a Gradle project.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `binaries(Action<? super ModelMap<BinarySpec>> action)` Configures the binaries that are produced for this component.
    `ModelMap<BinarySpec>` | `getBinaries()` The binaries that are built for this component.
    `String` | `getDisplayName()` Returns a human-consumable display name for this component.
    `String` | `getProjectPath()` The path the the project containing this component.
    `ModelMap<LanguageSourceSet>` | `getSource()` The source sets that are used to build this component.
    `ModelMap<LanguageSourceSet>` | `getSources()` The source sets that are used to build this component.
    `void` | `sources(Action<? super ModelMap<LanguageSourceSet>> action)` Configures the source sets used to build this component.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Named` | `getName`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public void binaries(Action<? super ModelMap<BinarySpec>> action)

      Configures the binaries that are produced for this component.

    - #### public ModelMap<BinarySpec> getBinaries()

      The binaries that are built for this component. You can use this to configure the binaries for this component.

    - #### public String getDisplayName()

      Returns a human-consumable display name for this component.

    - #### public String getProjectPath()

      The path the the project containing this component.

    - #### @Deprecated public ModelMap<LanguageSourceSet> getSource()

      The source sets that are used to build this component.

      deprecated:
        This method is replaced with getSources().

    - #### public ModelMap<LanguageSourceSet> getSources()

      The source sets that are used to build this component.

    - #### public void sources(Action<? super ModelMap<LanguageSourceSet>> action)

      Configures the source sets used to build this component.